#event name
	tellraw @a[nbt={Inventory:[{Slot:103b,tag:{kawalb_custom_enchant:5}}]}] [{"text":"Event Name:","color":"#00B259"},{"text":" "},{"text":"good_potions","color":"light_purple"}]

#event structure generation
	setblock ~ ~ ~ structure_block[mode=load]{name:"kawalb:water_bottle",posX:-2,posZ:-2,rotation:"NONE",mirror:"NONE",mode:"LOAD"} replace
	setblock ~ ~1 ~ redstone_block

#random number in range
	summon item_frame ~ ~ ~ {NoGravity:1b,Silent:1b,Invulnerable:1b,Invisible:1b,Fixed:1b,Tags:["random_picker"],Item:{}}
	execute as @e[type=item_frame,distance=..1,limit=1,tag=random_picker,sort=nearest] store result score @s rng_in_range run data get entity @e[type=item_frame,limit=1,tag=random_picker,distance=..1] UUID[0] 1
	execute as @e[type=item_frame,distance=..1,limit=1,tag=random_picker,sort=nearest] run scoreboard players set @s rng_range 12
	execute as @e[type=item_frame,distance=..1,limit=1,tag=random_picker,sort=nearest] run scoreboard players operation @s rng_in_range %= @s rng_range

#random sub-events
	execute as @e[type=item_frame,distance=..1,limit=1,tag=random_picker,sort=nearest] if score @s rng_in_range matches 0 run summon item ~ ~1.5 ~ {Silent:0b,Invulnerable:1b,Motion:[0.0,0.1,0.0],Item:{id:"minecraft:potion",Count:1b,tag:{Potion:"minecraft:swiftness"}}}
	execute as @e[type=item_frame,distance=..1,limit=1,tag=random_picker,sort=nearest] if score @s rng_in_range matches 1 run summon item ~ ~1.5 ~ {Silent:0b,Invulnerable:1b,Motion:[0.0,0.1,0.0],Item:{id:"minecraft:potion",Count:1b,tag:{Potion:"minecraft:healing"}}}
	execute as @e[type=item_frame,distance=..1,limit=1,tag=random_picker,sort=nearest] if score @s rng_in_range matches 2 run summon item ~ ~1.5 ~ {Silent:0b,Invulnerable:1b,Motion:[0.0,0.1,0.0],Item:{id:"minecraft:potion",Count:1b,tag:{Potion:"minecraft:regeneration"}}}
	execute as @e[type=item_frame,distance=..1,limit=1,tag=random_picker,sort=nearest] if score @s rng_in_range matches 3 run summon item ~ ~1.5 ~ {Silent:0b,Invulnerable:1b,Motion:[0.0,0.1,0.0],Item:{id:"minecraft:potion",Count:1b,tag:{Potion:"minecraft:luck"}}}
	execute as @e[type=item_frame,distance=..1,limit=1,tag=random_picker,sort=nearest] if score @s rng_in_range matches 4 run summon item ~ ~1.5 ~ {Silent:0b,Invulnerable:1b,Motion:[0.0,0.1,0.0],Item:{id:"minecraft:potion",Count:1b,tag:{Potion:"minecraft:leaping"}}}
	execute as @e[type=item_frame,distance=..1,limit=1,tag=random_picker,sort=nearest] if score @s rng_in_range matches 5 run summon item ~ ~1.5 ~ {Silent:0b,Invulnerable:1b,Motion:[0.0,0.1,0.0],Item:{id:"minecraft:potion",Count:1b,tag:{Potion:"minecraft:fire_resistance"}}}
	execute as @e[type=item_frame,distance=..1,limit=1,tag=random_picker,sort=nearest] if score @s rng_in_range matches 6 run summon item ~ ~1.5 ~ {Silent:0b,Invulnerable:1b,Motion:[0.0,0.1,0.0],Item:{id:"minecraft:potion",Count:1b,tag:{Potion:"minecraft:water_breathing"}}}
	execute as @e[type=item_frame,distance=..1,limit=1,tag=random_picker,sort=nearest] if score @s rng_in_range matches 7 run summon item ~ ~1.5 ~ {Silent:0b,Invulnerable:1b,Motion:[0.0,0.1,0.0],Item:{id:"minecraft:potion",Count:1b,tag:{Potion:"minecraft:invisibility"}}}
	execute as @e[type=item_frame,distance=..1,limit=1,tag=random_picker,sort=nearest] if score @s rng_in_range matches 8 run summon item ~ ~1.5 ~ {Silent:0b,Invulnerable:1b,Motion:[0.0,0.1,0.0],Item:{id:"minecraft:potion",Count:1b,tag:{Potion:"minecraft:turtle_master"}}}
	execute as @e[type=item_frame,distance=..1,limit=1,tag=random_picker,sort=nearest] if score @s rng_in_range matches 9 run summon item ~ ~1.5 ~ {Silent:0b,Invulnerable:1b,Motion:[0.0,0.1,0.0],Item:{id:"minecraft:potion",Count:1b,tag:{Potion:"minecraft:slow_falling"}}}
	execute as @e[type=item_frame,distance=..1,limit=1,tag=random_picker,sort=nearest] if score @s rng_in_range matches 10 run summon item ~ ~1.5 ~ {Silent:0b,Invulnerable:1b,Motion:[0.0,0.1,0.0],Item:{id:"minecraft:potion",Count:1b,tag:{Potion:"minecraft:thick"}}}
	execute as @e[type=item_frame,distance=..1,limit=1,tag=random_picker,sort=nearest] if score @s rng_in_range matches 11 run summon item ~ ~1.5 ~ {Silent:0b,Invulnerable:1b,Motion:[0.0,0.1,0.0],Item:{id:"minecraft:potion",Count:1b,tag:{Potion:"minecraft:water"}}}

#end random number generator
	kill @e[type=item_frame,tag=random_picker,distance=..0.9,sort=nearest]
	
#codex
	execute as @a[scores={kawalb_glass_mined=1..},nbt={SelectedItem:{tag:{kawalb_codex:1}}}] as @s run tellraw @s ["",{"text":"Codex","color":"aqua"},{"text":" has been "},{"text":"updated","color":"aqua"},{"text":"!","color":"light_purple"}]
	execute as @a[scores={kawalb_glass_mined=1..},nbt={SelectedItem:{tag:{kawalb_codex:1}}}] as @s run item replace entity @s weapon.mainhand with written_book{display:{Name:'[{"text":"Lucky ","color":"#FFE608","italic":false},{"text":"Codex","color":"white","italic":false}]',Lore:['{"text":"Hold me while mining Lucky Blocks!","color":"gray","italic":true}']},HideFlags:32,kawalb_codex:1,title:"",author:"",resolved:0b,	pages:['["",{"text":"The giant water bottle","color":"aqua"},{"text":",","color":"light_purple"},{"text":"\\n\\n","color":"reset"},{"text":"Comes with a ","color":"black"},{"text":"free","color":"aqua"},{"text":" random ","color":"black"},{"text":"good","color":"aqua"},{"text":" potion inside","color":"black"},{"text":"!","color":"light_purple"}]']	} 1

