#starts a ray cast in the dirrection of each players eyes to test for lucky block shulkers, to initiate them
	execute as @a at @s anchored eyes positioned ^ ^ ^ anchored feet run function kawalb:start_ray


#checks each placed lucky block to check if its glass block has been removed
	function kawalb:custom_block_break_check


#chat menu interaction checks, to show correct menu
	execute as @a if score @s chat_interaction_output matches 1.. as @s run function kawalb:chat_interactions/chat_interaction_commands


#checks if the player has requested to craft any lucky blocks
	execute as @a if score @s basic_lucky_block_crafted matches 1.. run function kawalb:crafted_basic_lucky_block_check


#checks how many lucky blocks left to give to the player
	execute as @a if score @s basic_lucky_blocks_to_craft matches 1.. run function kawalb:crafted_basic_lucky_block_check


#checks if player is requestying to see the datapack menu
	execute as @a[scores={kawalbmenu=1..}] as @s run function kawalb:utility/show_main_menu


#checks if player has just joined
	execute as @a if score @s PlayerJoin matches 0 run function kawalb:player_join_logic
	execute as @a if score @s PlayerJoin matches 2.. run function kawalb:player_join_logic


#checks if there is an aether portal needing initiating
	execute if score Global aether_portal_active matches 1 as @e[type=item_display,tag=aether_portal_main] at @s run function kawalb:aether/portal_initaite
 

#checks if player is inside an aether portal
	execute if score Global aether_portal_active matches 3 as @e[type=item_display,tag=aether_portal_main] at @s run function kawalb:aether/portal_logic


#checks if player has "fallen" out of the aether dimention
	execute at @a as @a[y=-127,dy=-200] if dimension kawalb:aether run execute as @s in minecraft:overworld run function kawalb:aether/teleport_overworld_sky


#checks if lucky block is placed ontop of an active beacon
	execute as @e[type=block_display,tag=kawalb_lucky_block] at @s if block ~ ~-1 ~ beacon unless block ~ ~-1 ~ beacon{Levels:0} run function kawalb:lucky_beacon/basic_lucky_block_beacon


#custom enchant checks

	#checks if player is wearing an item on their head with a custom enchant
		execute as @a[nbt={Inventory:[{Slot:103b,tag:{kawalb_enchanted:2}}]}] as @s run function kawalb:custom_enchants/head

	#checks if player is holding (in the main hand) an item with a custom enchant
		execute as @a[nbt={SelectedItem:{tag:{kawalb_enchanted:1}}}] as @s run function kawalb:custom_enchants/held_item
		execute as @a unless entity @s[nbt={SelectedItem:{tag:{kawalb_custom_enchant:9}}}] as @s run bossbar set kawalb_essence_health_bar visible false
		

#check for mini boss
	execute if entity @e[tag=kawalb_mini_boss] as @a at @a run function kawalb:mini_boss/mini_boss_logicer
	execute at @e[type=item,nbt={Item:{tag:{kawalb_king_slime_death:1}}}] run function kawalb:mini_boss/king_slime/king_slime_death
	execute at @e[type=item,nbt={Item:{tag:{kawalb_ghost_death:1}}}] run function kawalb:mini_boss/ghost/ghost_death
	
#W.I.P logic, currently unused in game
#	function kawalb:arrowtest

#reset glass break scoreboard
	scoreboard players set @a[scores={kawalb_glass_mined=1..}] kawalb_glass_mined 0
	
#nyan(rainbow) block logic
	execute as @a[nbt={Inventory:[{Slot:-106b,tag:{kawalb_nyan_block:1}}]}] as @s run function kawalb:nyan_block
	
#custom pet logic
	function kawalb:custom_pets/custom_pet_logicer
	
#item display logic
	function kawalb:item_display/item_display_logicer